from .attributes import BaseAttribute, BaseTypedAttribute
from .binding import Binding
from .contexts import ValueTypeCtx
from .expression import (
    CastExpr,
    ClosureArg,
    ClosureExpr,
    Expr,
    ExprChain,
    LiteralExpr,
    LookupOp,
)
from .gobject_object import Object, ObjectContent
from .gobject_property import Property
from .gobject_signal import Signal
from .gtk_a11y import A11y
from .gtk_combo_box_text import Items
from .gtk_file_filter import mime_types, patterns, suffixes, Filters
from .gtk_layout import Layout
from .gtk_menu import menu, Menu, MenuAttribute
from .gtk_size_group import Widgets
from .gtk_string_list import Strings
from .gtk_styles import Styles
from .gtkbuilder_child import Child
from .gtkbuilder_template import Template
from .imports import GtkDirective, Import
from .property_binding import PropertyBinding
from .ui import UI
from .types import ClassName
from .values import (
    Flag,
    Flags,
    IdentLiteral,
    Literal,
    NumberLiteral,
    ObjectValue,
    QuotedLiteral,
    Translated,
    TranslatedWithContext,
    TranslatedWithoutContext,
    TypeLiteral,
    Value,
)

from .common import *

OBJECT_CONTENT_HOOKS.children = [
    Signal,
    Property,
    A11y,
    Styles,
    Layout,
    mime_types,
    patterns,
    suffixes,
    Widgets,
    Items,
    Strings,
    Child,
]

LITERAL.children = [Literal]
